Subject: Re: pci32 code - early_*config*

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 17 Apr 2009 19:05:12 +0200

On Fri, 2009-04-17 at 09:08 -0500, Kumar Gala wrote:
> The problem is that the "normal" PCI config access routines need a  
> pci_bus.  However we don't have one yet and we need to do PCI config  
> cycles to the PHB before we call the remainder of the setup code to  
> get one.
> 
> We could all call our own ops directly and provide a fake bus but
> this  
> is pretty much what the early routines do for us in a common way.

Ah right, slipped out of my mind. Oh well, easy to make the code
common, move it to pci-common.c

Cheers,
Ben.